package io.renren.modules.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;
import io.renren.modules.business.dao.BusinessSsjdexcelDao;
import io.renren.modules.business.entity.BusinessSsjdexcelEntity;
import io.renren.modules.business.service.BusinessSsjdexcelService;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service("businessSsjdexcelService")
public class BusinessSsjdexcelServiceImpl extends ServiceImpl<BusinessSsjdexcelDao, BusinessSsjdexcelEntity> implements BusinessSsjdexcelService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BusinessSsjdexcelEntity> page = this.page(
                new Query<BusinessSsjdexcelEntity>().getPage(params),
                new QueryWrapper<BusinessSsjdexcelEntity>()
        );

        return new PageUtils(page);
    }

    @Override
    public BusinessSsjdexcelEntity contractInfo(Integer id) {
        return baseMapper.contractInfo(id);
    }

}